<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZSample0003STreeExpView2Base from './ibizsample0003-stree-exp-view2-base.vue';

import view_treeexpbar from '@widgets/ibizsample0003/stree-exp-view2treeexpbar-treeexpbar/stree-exp-view2treeexpbar-treeexpbar.vue';
@Component({
    components: {
        view_treeexpbar, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZSample0003STreeExpView2 extends IBIZSample0003STreeExpView2Base {

}
</script>